Mojave on unsupported Mac, Logic's Smart Controls glitch

Discussion in 'Logic' started by ohmowl, May 10, 2020.

  1. ohmowl

    ohmowl Newbie

    Joined:
    Mar 16, 2016
    Messages:
    26
    Likes Received:
    2
    Hy everyone,
    I am on the latest Mojave 10.14.6 installed with DOSDUDE1 patcher on unsupported iMac 9,1 (early 2009)
    Logic Pro x 10.4.8 installed from sister site runs fine (still testing)

    BUT Smart Controls freeze and the interface gets weird when i switch from the automatic layout to any other layout.

    Workarounds:
    1) Change screenset and go back to previous screenset
    2) Revert to last saved project

    In this way, i can see and use a different Smart Controls layout on the selected track, but if i select another track with a different layout (ie. default layout) the glitch occurs again.

    I've re-installed all DOSDUDE1 patches (thought of a "Legacy video card" issue), but the problem persists.

    Does anybody have a solution?

    Video of the bug below (beware, it's a loop)


    Thanks :bow:
     
  2.  
  3. Marcello76

    Marcello76 Noisemaker

    Joined:
    May 13, 2020
    Messages:
    3
    Likes Received:
    3
    Same exact thing here on a different maschine! Macbook Pro 8,1 on Mojave. This was to find if 10.5 would work. There , if i try to open DMD or the Smart Controls View , Logic Crashes immediatly. On 10.4.8 i get the glitch you describe. Smart Controls get stuck . The only workaround i found , is yours ! ;-) So the Screenset change lets you for once change and alter smart control but only to be stuck again. That makes Smart Control actually unusable. To me this looks like a graphic issue as well. But what do i now? If you find a solution, it would be nice to let me know.

    Cheers Marcello
     
  4. ohmowl

    ohmowl Newbie

    Joined:
    Mar 16, 2016
    Messages:
    26
    Likes Received:
    2
    Hy Marcello!

    Unfortunately i still haven't found a solution...
    I've tested LPX 10.5 and it runs smoothly, but i've experienced the same immediate crash if i open Smart Controls.
    We can still have some kind of "backwards compatibility" because Smart Controls can be edited in automation lanes (still you can't deep edit all the parameters that make Smart Controls worthy).

    I think this has something to do with the non-Metal gpus workarounds for unsupported Macs.
    Maybe future LPX updates will change this situation! :disco:
     
  5. Moonlight

    Moonlight Audiosexual

    Joined:
    Jun 12, 2011
    Messages:
    1,976
    Likes Received:
    598
    Location:
    Earth
    Looks like thats why Apple declared those Macs unsupported.

    I doubt they will make it compatible to older Macs, they rather will raise the requirement to catalina.
     
    • Agree Agree x 2
    • Like Like x 1
    • List
  6. Marcello76

    Marcello76 Noisemaker

    Joined:
    May 13, 2020
    Messages:
    3
    Likes Received:
    3
    Future Updates From Dosdudde1 or some other friendly "Geeks" might. At this point im really undicided, if i would make the compromise. Theres a lot interesting stuff, but i was somewhat satisfied with moast of the 10-4 releases.

    I mihgt have somewhat of a compromise solution. If you´re stuck in the situation. I ´ have a back up of 10.4.4. ! Not fully tested....BUT Smart Controls work there!! Which would be like having at least a somewhat modern Version of Logic running on an unsupported mac.

    Cheers
    P.S.
    BTW. Did you try to contact Dosdude regarding the Problem? Don´t if that is even possible and he´s gets probaby asked by a million people. But who knows...
     
    Last edited: May 14, 2020
  7. ohmowl

    ohmowl Newbie

    Joined:
    Mar 16, 2016
    Messages:
    26
    Likes Received:
    2
    Nice to know 10.4.4 is the last "complete" LPX update i may run on patched-Mojave...
    Still have to test patched-Catalina, maybe that makes a difference... but still have 32bit plugins i'd like to use.

    I didn't contact DOSDUDE1, maybe this is the place to issue the problem > https://forums.macrumors.com/threads/macos-10-14-mojave-on-unsupported-macs-thread.2121473/
    Or maybe even GS or Logicprohelp

    Btw i'm on 10.14.6 (18G103), i didn't install the software security updates(?), if that has anything to do with the problem.
     
    Last edited: May 14, 2020
  8. MLooms

    MLooms Ultrasonic

    Joined:
    Feb 8, 2018
    Messages:
    54
    Likes Received:
    23
    I am on a Mac Pro (Early 2009) Radeon RX 580 8 GB/ Mojave 10.14.6 and just updated to LPX 10.5 and I have nor crash or freezing issues in LPX and smart control work's flawlessly, so definitively older Mac's upgraded to Mojave with dosdude's patch should be compatible.

    Not sure if this will work but try installing Xcode or the command line tool. I heard somewhere this helped solve some compatibility issues on older Mac's on Dosdude.

    Good luck
     
    Last edited: May 14, 2020
  9. Marcello76

    Marcello76 Noisemaker

    Joined:
    May 13, 2020
    Messages:
    3
    Likes Received:
    3
    [QUOTE="MLooms, post: 476211, member: 36731"
    Not sure if this will work but try installing Xcode or the command line tool. I heard somewhere this helped solve some compatibility issues on older Mac's on Dosdude.

    Good luck[/QUOTE]

    Thanks for the advice! I installed Command Line Tools, but it didn´t help. One thing that came to mind: What different patch configuration there is between you machine and mine. Maybe that might be a point.

    Cheers Marcello
     
  10. ohmowl

    ohmowl Newbie

    Joined:
    Mar 16, 2016
    Messages:
    26
    Likes Received:
    2
    I've installed Xcode 10.3 (the one compatible with Mojave 10.14.6), but unfortunately the problem persists... thanks anyway for the suggestion!

    Maybe your GPU is compatibile with Metal:
    "Apple also lists other AMD graphics cards that "might" be compatible with macOS Mojave:
    (...) •AMD Radeon RX 580
    (...)
    "You can check to see if your graphics card is compatible by holding down option while selecting Apple logo to access System Information. Under Graphics/Displays, if "Supported" is listed next to the Metal entry, the graphics card will work with macOS Mojave."

    Someone mentioned the LPX 10.5 crash on macrumors (no solution yet)
     
  11. Dr. Howard

    Dr. Howard Ultrasonic

    Joined:
    Dec 15, 2013
    Messages:
    126
    Likes Received:
    20
    From all that I have read and researched, it seems that having a Metal-capable GPU is a big component here..
    Last version of Mojave required 10.14.6 - unclear if APFS format is also enforced..
    :grooves:
     
  12. 5teezo

    5teezo Audiosexual

    Joined:
    Feb 2, 2012
    Messages:
    1,615
    Likes Received:
    846
    Interesting. OpenCore may become an option to get better compatibilty with legacy macs running current macOS. But OpenCore is still in a pretty early stage so until the Dosdude is still the way to go
     
  13. Iggy

    Iggy Rock Star

    Joined:
    Jun 21, 2011
    Messages:
    1,072
    Likes Received:
    424
    There's a few weird bugs on 10.5 that got mentioned on the sister site's download page (myself and a few others mentioned that the Altiverb 7 GUI shows up as a black screen, for example) that makes me think there will be another update shortly. On the other hand, 10.5 was the first time that Logic passed damn near all my plugs without incident (I think there were three that had an issue -- two of the Acoustica-bundled Acon plugs and Noveltech Character. It also failed Auto-Tune 7, but passed it after I forced another validation.)

    I don't think they're gonna make Logic Catalina-only just yet, as Catalina is still plenty buggy and too many people are still using 32-bit plugs and apps. Also, too many people still use HDDs for system drives and those can't use the new file system.
     
  14. MLooms

    MLooms Ultrasonic

    Joined:
    Feb 8, 2018
    Messages:
    54
    Likes Received:
    23
    Yes indeed, it could be GPU related/ My system report says- Metal: Supported, feature set macOS GPUFamily2 v1.
    After searching some forums with related issues, similar issues were reported with Logics smart controls 6 years ago, it seems that the Mac mini and the MacbookPro in particular having those issues.

    The only issue I'm having since Mojave latest update is that I noticed it uses more Ram. After a clean reboot no apps running, Mojave already has taken 10GB of app memory,wired and compressed as before the update it was only 6 Gb of 32Gb ram.
     
  15. Moogerfooger

    Moogerfooger Rock Star

    Joined:
    Jun 11, 2016
    Messages:
    796
    Likes Received:
    444
    Latest Catalina update. Altiverb black screen on latest Cubase, Logic & Ableton 10... Wonder what could be goin wrong? It worked up until this last OS update.
     
  16. ohmowl

    ohmowl Newbie

    Joined:
    Mar 16, 2016
    Messages:
    26
    Likes Received:
    2
    Out of curiosity, i've re-installed clean selecting my iMac model and deselecting the suggested "Legacy Video Card patch" in Post-install tools.
    No solution yet: 10.5 still crashes, 10.4.8 now shows a totally black Smart Controls interface instead of the "semi-freezed" one. :dunno:

    [​IMG]
     
  17. MLooms

    MLooms Ultrasonic

    Joined:
    Feb 8, 2018
    Messages:
    54
    Likes Received:
    23
    @ohmowl if you are on Mac OS Extended (Journaled) maybe try a fresh install on APFS and on the post install select APFS Patch.
     
    Last edited: May 18, 2020
  18. ohmowl

    ohmowl Newbie

    Joined:
    Mar 16, 2016
    Messages:
    26
    Likes Received:
    2
    I've tried installing Mojave in APFS but i can't boot... even using Disk Utility SOS or re-applying post-install patches does not work. I see the usual verbose scrolling text, but then it enters a loop and never boots. Going back to Mojave! :wink:

    So sorry: i can't tell if APFS would solve it, i still think it's a GPU/Metal problem.
     
  19. dkny

    dkny Producer

    Joined:
    Jan 25, 2015
    Messages:
    201
    Likes Received:
    96
    It's a Metal problem, you can see it in the crash log. No Metal, no drawing with Metal, and hard crash on the process that's asking Metal to draw the controls.

    It's got nothing to do with APFS.
     
    • Like Like x 1
    • Agree Agree x 1
    • List
  20. noisyneil

    noisyneil Newbie

    Joined:
    Jun 26, 2012
    Messages:
    4
    Likes Received:
    1
    Darnit. I upgraded to Catalina 2wks back and Altiverb was working perfectly until yesterday. I had a couple of unrelated runaway processes (pkd and lsd) and I tried trashing a ton of long-unused plist and extension files (not including anything audioease-related). when i was done altiverb no longer showed up in Logic's plugin menu despite showing as validated. hmmmmph. i'm up-to-date at time of writing, on OSX 10.15.4, so I know that Altiverb can work, and it's quite frustrating not knowing what's changed.
     
    Last edited: May 26, 2020
  21. Moogerfooger

    Moogerfooger Rock Star

    Joined:
    Jun 11, 2016
    Messages:
    796
    Likes Received:
    444
    Altiverb still not working in Catalina new update 10.15.5..... Damn
     
Loading...
Similar Threads - Mojave unsupported Logic's Forum Date
Mac on Mojave runs slow Mac / Hackintosh Oct 7, 2020
Installing AutoTune on Mojave with Pacifist question Mac / Hackintosh Aug 20, 2020
HELP (!) with Reason 5 syncing in OS El Capitan (and on up) to Mojave Mac / Hackintosh Aug 18, 2020
Kontakt Standalone won't work after Mojave upgrade Synthesizers Jul 12, 2020
Can anyone help me troubleshoot my network/system preferences & configurations problems on Mojave? Mac / Hackintosh Jun 17, 2020
Loading...